# koboldgen

A character/one-shot generator for [Crash](https://elekk.xyz/@Crash)'s KOBOLDS IN SPACE! Requires Python 3.6+.

Invoke the script directly to generate a single kobold:

`python3 koboldgen.py`

There are flags you can type after the name of the script to get different effects.

The first three (`-k`, `-n`, and `-c`) can be used on their own, or you can add a number afterward to get the script to print that many kobolds:

`python3 koboldgen.py -k` - generate a kobold

`python3 koboldgen.py -n` - print out a kobold's name and occupation, without a stat block

`python3 koboldgen.py -c` - print out a full campaign with 6 kobolds by default

The next three should **not** have a number after them:

`python3 koboldgen.py -s` - print out a ship name and description

`python3 koboldgen.py -p` - print out the premise of a campaign, including a ship name and description, without generating any kobolds

`python3 koboldgen.py -h` - print a help message

There are long versions of each of these that begin with two dashes (`--kobolds`, `--names`, `--campaign`, `--ship`, `--params`, and `--help`) if you prefer.

Finally, you can change the output from plain text to HTML with the `--html` flag. This can be used alongside any of the previous flags.

You can see the full campaign mode in action [here](http://node.noelle.codes/kobold)!